Requirements for an android phone that will run the new SmartThings app

From the Google Play description:
[App requirements]
Some mobile devices may not be supported.

  • RAM size : 2GB over

For some reason, it seems that the Samsung A21s (Android 10, 3GB RAM) comes under the “some not supported” disclaimer; I got a “not compatible with your device” message when I tried to migrate from SmartThings Classic.

So, what else does my next phone need? Is it likely a better display (A21s is 720x1600)? In which case what is the minimum display spec? Or is there anything else I should be aware of

I’d be really grateful for any and all thoughts. Thank you.

Tagging @SamsungZell.